link: search/orgs/%22Dragon%20Ball%20Z%3A%20Legends%22
meta: {}
query: '"Dragon Ball Z: Legends"'
results:
  albums: []
  artists: []
  orgs: []
  products: []
sections:
- albums
- artists
- orgs
- products
vgmdb_link: https://vgmdb.net/search?q=%22Dragon%20Ball%20Z%3A%20Legends%22
